routes/web.php
<?php

use App\Http\Controllers\Admin\AgencyController;
use App\Http\Controllers\Admin\AgentController;
use App\Http\Controllers\Admin\ArticleControlle;
use App\Http\Controllers\Admin\BannerController;
use App\Http\Controllers\Admin\BookController;
use App\Http\Controllers\Admin\CatalogController;
use App\Http\Controllers\Admin\DistribusiSegera;
use App\Http\Controllers\Admin\DistributionController;
use App\Http\Controllers\Admin\LocationController;
use App\Http\Controllers\Admin\PublisherController;
use App\Http\Controllers\Admin\RabAdminController;
use App\Http\Controllers\Admin\RecapitulationController;
use App\Http\Controllers\Admin\TransactionController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\Manajemen\ManajemenController;
use App\Http\Controllers\Mitra\MitraController;
use App\Http\Controllers\Mitra\RabController;
use App\Http\Controllers\Perwakilan\PerwakilanController;
use App\Http\Controllers\Publisher\AudioBookController;
use App\Http\Controllers\Publisher\BookControllerPublisher;
use App\Http\Controllers\Publisher\EpubController;
use App\Http\Controllers\publisher\ProfileControllerPublisher;
use App\Http\Controllers\Publisher\RekapControllerPublisher;
use App\Http\Controllers\Publisher\VideoBookPublisher;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Request;
use Illuminate\Support\Facades\Route;

use function Clue\StreamFilter\fun;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [App\Http\Controllers\HomeController::class, 'registerInstansi'])->name('register.instansi');
Route::get('/assets', [App\Http\Controllers\HomeController::class, 'assets']);
Route::post('/register/instansi', [App\Http\Controllers\HomeController::class, 'actionRegister'])->name('create.register');
Route::get('/debug-sentry', function () {
    throw new Exception('My first Sentry error!');
});
//lokasi
Route::get('provinces', [LocationController::class, 'provinces'])->name('provinces');
Route::get('cities', [LocationController::class, 'cities'])->name('cities');
Route::get('districts', [LocationController::class, 'districts'])->name('districts');
Route::get('villages', [LocationController::class, 'villages'])->name('villages');

Auth::routes();

Route::group(['middleware' => ['IsSuperAdmin','auth'] ], function()
{
    Route::get('/home/admin', [App\Http\Controllers\HomeController::class, 'index'])->name('home.admin');
    Route::get('/user', [App\Http\Controllers\Admin\UserController::class, 'index'])->name('user');
    Route::get('/user-edit', [App\Http\Controllers\Admin\UserController::class, 'edit'])->name('user-edit');
    Route::get('/user-create', [App\Http\Controllers\Admin\UserController::class, 'create'])->name('user-create');
    Route::post('/user-insert', [App\Http\Controllers\Admin\UserController::class, 'store'])->name('user-store');
    Route::get('/user-detail', [App\Http\Controllers\Admin\UserController::class, 'show'])->name('user-detail');
    Route::get('/setting', [App\Http\Controllers\Admin\SettingController::class, 'index'])->name('setting');
    Route::get('/profile', [App\Http\Controllers\Admin\ProfileController::class, 'index'])->name('profile');
    Route::get('/profile-edit', [App\Http\Controllers\Admin\ProfileController::class, 'edit'])->name('profile-edit');

    // publisher
    Route::get('/publisher', [App\Http\Controllers\Admin\PublisherController::class, 'index'])->name('publisher');
    Route::get('/detail-publisher/{id}', [App\Http\Controllers\Admin\PublisherController::class, 'show'])->name('publisher.detail');
    Route::get('/create-publisher', [App\Http\Controllers\Admin\PublisherController::class, 'create'])->name('publisher-create');
    Route::post('/create-publisher/insert', [App\Http\Controllers\Admin\PublisherController::class, 'store'])->name('publisher.store');
    Route::get('/publisher/register-user', [PublisherController::class,'registerUser'])->name('publisher.user');
    Route::post('/publisher/register-user/insert', [PublisherController::class,'actionRegisterUser'])->name('publisher.user.store');
    Route::get('/publisher/rekapilutasi/{id}', [App\Http\Controllers\Admin\PublisherController::class, 'rekapitulasi'])->name('publisher.rekapitulasi');

    // Book
    Route::resource('book', BookController::class);
    Route::get('/distribusi', [BookController::class, 'distribution'])->name('book.distribution');
    Route::post('distribusi/insert', [BookController::class, 'insertDistribution'])->name('book.distribution.store');
    Route::get('/book/download', [BookController::class, 'getDownloadImageBook'])->name('book.download');
    Route::get('/book/export/publisher/{id}', [BookController::class, 'exportBookPublisher'])->name('book.exportdownload');
    Route::get('book/read/{id}', [BookController::class, 'readBook'])->name('baca-buku');

    //Mitra dan Perwakilan
    Route::resource('agent', AgentController::class);
    Route::get('agent/create-user/{id}', [AgentController::class, 'createUserAgent'])->name('agent.create-user');
    Route::post('agent/create-user/', [AgentController::class, 'insertUserAgent'])->name('agent.insert-user');
    Route::get('agent/mitra/create/{id}', [AgentController::class, 'mitra'])->name('agent.mitra');
    Route::post('agent/mitra/insert', [AgentController::class, 'insertmitra'])->name('agent.insert.mitra');
    Route::get('agent/mitra/edit/{id}', [AgentController::class, 'editMitra'])->name('agent.edit.mitra');
    Route::put('agent/mitra/update/{id}', [AgentController::class, 'updatemitra'])->name('agent.update.mitra');

    //Rekapitulasi
    Route::get('/recapitulation/agent', [RecapitulationController::class, 'rekapAgen'])->name('rekap.agent');
    Route::get('/detail-agency/{id}', [RecapitulationController::class, 'detail'])->name('rekap.detail');
    Route::get('/edit-agency/{id}', [RecapitulationController::class, 'agencyEdit'])
     ->name('rekap.agency.edit')
     ->missing(function (Request $request) {
         return Redirect::route('rekap.agent');
     });
    Route::put('/edit-agency/{id}', [RecapitulationController::class, 'agencyUpdate'])
     ->name('rekap.agency.update')
     ->missing(function (Request $request) {
         return Redirect::route('rekap.agent');
     });
     Route::get('/member/agen', [RecapitulationController::class,'getAgenMember'])->name('agent.member');
     Route::get('/recapitulation/mostread', [RecapitulationController::class, 'mostRead'])->name('rekap.seringdibaca');
     Route::get('/recapitulation/mostdemand', [RecapitulationController::class, 'mostDemand'])->name('rekap.bukulaku');
     Route::get('/recapitulation/mostdemand/detail/{id}', [RecapitulationController::class, 'detailBookmostDemand'])->name('rekap.bukulaku.detail');
     Route::get('/recapitulation/userinstansi', [RecapitulationController::class, 'userInstansi'])->name('rekap.userinstansi');
     Route::get('/recapitulation/userinstansi/{id}', [RecapitulationController::class, 'userInstansiDetail'])->name('rekap.userinstansi.detail');
     Route::get('/recapitulation/bookdistribution', [RecapitulationController::class, 'bookDistribute'])->name('rekap.bookdistribution');
    
    //transaksi
    Route::resource('transaction', TransactionController::class);
    
    // Master RAB
    Route::resource('master-rab', RabAdminController::class);
    Route::post('/master-rab/insert/rab',[RabAdminController::class, 'insertbudgetplan'])->name('master-rab.insert');
    Route::get('/master-rab/insert/add-item/{id}',[RabAdminController::class, 'additem'])->name('master-rab.additem');
    Route::post('/master-rab/insert/list-item',[RabAdminController::class, 'additem'])->name('master-rab.list.item');
    Route::post('/master-rab/move/temp-distribute',[RabAdminController::class, 'addToTempDistribute'])->name('master-rab.move.detail');

    //Distribusi Buku
    Route::resource('distribution', DistributionController::class);
    Route::get('/distribution/banned/{id}', [DistributionController::class, 'banned'])->name('distribution.banned');
    // publish
    Route::get('/distribution/publish/{id}', [DistributionController::class, 'publish'])->name('distribution.publish');
    
    Route::get('/distribution/book/publisher', [DistributionController::class, 'createajax'])->name('distribution-book');
    Route::post('/distribution/book/publisher', [DistributionController::class, 'createajaxPost'])->name('distribution-book.post');
    Route::post('/distribution/list-distribute', [DistributionController::class, 'listDistribute'])->name('list-destribute');
    Route::post('/distribution/post-distribute', [DistributionController::class, 'postDistribute'])->name('post-destribute');
    
    //segera tanpa endpoint
    Route::get('/distribusi/segera', [DistribusiSegera::class, 'create'])->name('sebar-buku');
    Route::post('/distribusi/segera/post', [DistribusiSegera::class, 'postDistribute'])->name('sebar-buku.post');
    Route::post('/distribusi/instansi/get', [DistribusiSegera::class, 'getAgency'])->name('sebar-buku.instansi.get');
    // Route::get('/distribution/filter/publisher/{filter_publisher}', [DistributionController::class, 'json'])->name('distribution.filter');

    // Route::get('/create-book', [App\Http\Controllers\Admin\BookController::class, 'create'])->name('book-create');
    Route::get('/detail-book', [App\Http\Controllers\Admin\BookController::class, 'show'])->name('book-detail');
    Route::get('/inventory-book', [App\Http\Controllers\Admin\BookController::class, 'inventory'])->name('book-inventory');

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $user = User::orderBy('id','desc')->get();
        return view('pages.users.index',compact('user'));
    }

    public function create()
    {
        return view('pages.users.create');
    }

    public function store(Request $request)
    {
        // dd($data);
        $user = new User();
        $user->name = $request->name;
        $user->email = $request->email;
        $user->role = $request->role;
        $user->password = Hash::make($request->password);
        $user->save();
        return redirect()->route('user');
    }

    public function edit($id)
    {
        $user = User::find($id);
        return view('pages.users.edit',compact('user'));
    }
    
    public function show()
    {
        return view('pages.users.detail');
    }

}

resources/views/pages/users/create.blade.php
@extends('layouts.super-admin')
@section('content')
    <div class="section-content" data-aos="fade-up" data-aos-delay="500">
        <div class="container-fluid">
            <!-- Breandcrumb -->
            <section class="store-breadcrumbs">
                <div class="row">
                    <div class="col-lg-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('agent.index')}}">Pengaturan</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Tambah User</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </section>
            <div class="row">
                <div class="col-lg-12">
                    <div class="row justify-content-between">
                        <div class="col-lg-6">
                            <div class="dashboard-heading">
                                <h5 class="dashboard-title">
                                    Tambah User Baru 
                                </h5>
                                <p class="dashboard-subtitle">
                                    Isi data dengan benar
                                </p>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <section class="berita">
                <form action="{{route('user-store')}}" id="form-addArtikel" method="POST">
                    @csrf
                    <div class="row">
                        <div class="col-sm-8">
                            <div class="container-fluid table">
                                <div class="form">
                                    <div class="form-group">
                                        <label class="form-check-label">Nama</label>
                                        <input type="text" id="name" name="name" placeholder="Masukkan Nama User"
                                            class="form-control">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-check-label">Email</label>
                                        <input type="email" name="email" class="form-control @error('email') is-invalid @enderror"
                                        value="{{ old('email') }}" id="NamaLengkap" aria-describedby="nama"
                                            placeholder="Masukkan Email " required>
                                        @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label class="form-check-label">Role</label>
                                        <div class="dropdown">
                                            <select name="role" id="role"
                                                class="form-control @error('role') is invalid @enderror" tabindex="1">
                                                <option value="#">--pilih role--</option>
                                                <option value="Manajemen">Manajemen</option>
                                            </select>
                                        </div>
                                    </div>
                                    
                                    <div class="form-group">
                                        <label class="form-check-label">Password</label>
                                        <input type="password" name="password" class="form-control @error('password') is-invalid @enderror"
                                        value="{{ old('password') }}" id="NamaLengkap" aria-describedby="password"
                                            placeholder="Masukkan password" required>
                                        @error('password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label class="form-check-label">Ulangi Password</label>
                                        <input id="password-confirm" type="password" class="form-control" name="password_confirmation" placeholder="Ulangi password" required autocomplete="new-password">
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="container-fluid battom-nav">
                        <a  href="#" class="btn btn-white" id="btnoke-draf"> <i class="fa fa-remove" aria-hidden="true"></i> Batal</a>
                        <button type="submit" value="publish" class="btn btn-blue" id="btnoke-publish"><i class="fa fa-plus" aria-hidden="true"></i> Simpan</button>
        
                    </div>
                </form>

            </section>
            
        </div>
    </div>

@endsection

resources/views/pages/users/detail.blade.php
@extends('layouts.super-admin')
@section('content')
<div id="page-content-wrapper">
    <!--Content Dashboard-->
    <!-- ........................ -->
    <div class="section-content section-dashboard-bukuterbaru" data-aos="fade-up" data-aos-delay="500">
         <div class="container-fluid">
        <!-- Breandcrumb -->
                <section class="store-breadcrumbs">
                    <div class="row">
                        <div class="col-lg-12">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="/dashboard.html">Daftar Pengguna</a></li>
                                    <li class="breadcrumb-item active" aria-current="page">Detail Pengguna</li>
                                </ol>
                            </nav>
                        </div>
                    </div>
                </section>
            <!-- Judul -->
            <div class="row justify-content-between">
               
            </div>
            <!--Aksi Tambah Pengguna-->
            <br>
            <div class="container-fluid table" >
                <div class="">
                    <h5 class=" content-title data" >
                    Data Pengguna
                    <a href="{{url('user-edit')}}"><button class="btn btn-white data" ><img src="super-admin/images/icon/pen_blue.svg" aria-hidden="true"> Edit</button></a>
                    
                </h5> 
                   
                </div>
                       
                <hr>
                <table class="table table-striped ">
                    <tbody class="body-table">
                        <tr class="d-flex">
                            <th class="col-3">Avatar</th>
                            <td class="col-5"> 
                               <img class="rounded-circle mr-2 profile-picture" src="super-admin/images/avatar-bae.png" alt="">
                            </td>
                            <td class="col-4"> </td>
                        </tr>
                        <tr class="d-flex">
                            <th  class="col-3">Nama Lengkap</th>
                            <td class="col-5">
                                <p> Siti Mustakimah</p>      
                            </td>
                            <td> </td>
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">No Identitas</th>
                            <td class="col-5">
                                <p>12653612123676</p>
                            </td>
                            <td> </td>
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">Tanggal Lahir</th>
                            <td class="col-5"> 
                                12 Maret 1996
                            </td>
                            <td> </td>
                            
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">Jenis Kelamin</th>
                            <td class="col-5">
                                <p>Perempuan</p>
                            </td>
                            <td> </td>
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">Alamat Lengkap</th>
                            <td class="col-5">
                                Area Sawah, Sidoarum, Kec. Godean, Kabupaten Sleman, Daerah Istimewa Yogyakarta 55264
                            </td>
                            <td></td>
                        </tr>
                        <tr  class="d-flex">
                            <th class="col-3">No Handphone</th>
                            <td  class="col-5">
                                097756568
                            </td>
                            <td> </td>
                        </tr>
                    </tbody>
                </table>
                <br>
            </div>
            <br>

            <div class="container-fluid table" >
                <h5 class=" content-title ">
                    Informasi Akun
                </h5> 
                <hr>
                <table class="table table-striped">
                    <tbody class="body-table">
                        <tr class="d-flex">
                            <th class="col-3">E-mail</th>
                            <td class="col-5">
                                sitimustakimah@gmail.com
                            </td>
                            <td> </td>
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">Password</th>
                            <td class="col-5">
                                -
                            </td>
                            <td> </td>
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">Kelas & Jurusan</th>
                            <td class="col-5">Rekayasa Perangkat Keras
                            </td>
                            <td> 
                      
                            </td>
                        </tr>
                        <tr class="d-flex">
                            <th class="col-3">Kelas & Jurusan</th>
                            <td class="col-5"> <p class="icon-active"> Aktif</p>
                            </td>
                            <td> </td>
                        </tr>
                    </tbody>
                </table>
                <br>
            </div>
            <hr>
        <!-- <div class="container-fluid battom-nav">
            <button class="btn btn-white" ><img src="super-admin/images/icon/stop_blue.svg" aria-hidden="true"> Batal</button>
            <button class="btn btn-disabled" ><img src="super-admin/images/icon/plus_white.svg" aria-hidden="true"> Tambah  Pengguna</button>
             -->
            <!-- jika aktif -->
            <!-- <button class="btn btn-blue" ><img src="super-admin/images/icon/plus_white.svg" aria-hidden="true"> Tambah  Pengguna</button>
                                                        
        </div> -->
    </div>
    </div>
   
</div>
@endsection

resources/views/pages/users/index.blade.php
@extends('layouts.super-admin')
@section('content')
<div id="page-content-wrapper">
    <!--Content Dashboard-->
    <!-- ........................ -->
    <div class="section-content" data-aos="fade-up" data-aos-delay="500">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row justify-content-between">
                        <div class="col-lg-6">
                            <div class="dashboard-heading">
                                <h5 class="dashboard-title">
                                    Daftar Pengguna
                                </h5>
                                <p class="dashboard-subtitle">
                                    Sagittis, gravida hac sagittis adipiscing feugiat bibendum adipiscing
                                </p>
                            </div>
                        </div>
                        <div class="col-lg-6" style="text-align: right;">
                            <div class="dashboard-heading " >
                                <a href="{{route('user-create')}}" class="btn btn-blue" ><img src="super-admin/images/icon/plus_white.svg" aria-hidden="true"> Tambah Pengguna</a>
                              
                            </div>
                        </div>
                    </div>

                    <div class="dashboard-heading">
                        <div class="container-fluid table" >
                            <br>
                            <table class="table table-striped " id="table-tambah-pengguna">
                                <thead class="head-table">
                                    <tr>
                                        <th>No</th>
                                        <th>Nama </th>
                                        <th>Email</th>
                                        <th>Role</th>
                                        <th>Id Card</th>
                                        <th>Aksi</th>
                                    </tr>
                                </thead>
                                <tbody class="body-table">
                                    @foreach ($user as $item)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{$item->name}}</td>
                                        <td>{{$item->email}}</td>
                                        <td>{{$item->role}}</td>
                                        <td>{{$item->idcard}}</td>
                                        <td>
                                            <!-- Default dropleft button -->
                                            <div class="btn-group dropleft">
                                                <button type="button" class="btn btn-secondary fa fa-ellipsis-v" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                                           
                                                                            </button>
                                                <div class="dropdown-menu">
                                                    <!-- Dropdown menu links -->
                                                    <a class="dropdown-item " href="{{url('user-detail')}}"> <img src="super-admin/images/icon/profile.svg" alt=""> Detail Pengguna</a>
                                                    <a class="dropdown-item" href="{{url('user-edit')}}"><img src="super-admin/images/icon/edit.svg" alt=""> Edit</a>
                                                    <a class="dropdown-item red-button" href="#"><img src="super-admin/images/icon/banned-active.svg" alt=""> Banned</a>
                                                    <a class="dropdown-item" href="#"><img src="super-admin/images/icon/trash.svg" alt=""> Hapus</a>

                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            <br>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection